GET https://api.ap1.datadoghq.com/api/v2/experiments/subject-types https://api.ap2.datadoghq.com/api/v2/experiments/subject-types https://api.datadoghq.eu/api/v2/experiments/subject-types https://api.ddog-gov.com/api/v2/experiments/subject-types https://api.us2.ddog-gov.com/api/v2/experiments/subject-types https://api.uk1.datadoghq.com/api/v2/experiments/subject-types https://api.datadoghq.com/api/v2/experiments/subject-types https://api.us3.datadoghq.com/api/v2/experiments/subject-types https://api.us5.datadoghq.com/api/v2/experiments/subject-types
Overview List subject types. Returns a paginated list of the subject types defined for the organization.
This endpoint requires the product_analytics_settings_read permission.
OAuth apps require the product_analytics_settings_read authorization scope to access this endpoint.
Arguments Query Strings Set to counts to add experiment_count, exposure_source_count, metric_sql_model_count and protocol_count to each subject type. Each costs an extra query, so they are omitted unless asked for.
Maximum number of results to return. Defaults to 25 when omitted, and is capped at 50 (larger values are clamped to 50). The response includes meta.page (with total) and pagination links.
Number of results to skip for pagination. Defaults to 0 when omitted.
Find subject types whose names contain the search text, regardless of case.
Sort fields: name, created_at, or updated_at. Use a comma-separated list in priority order, for example name,-created_at. Prefix each field with - for descending. Defaults to created_at descending.
Response OK
List of subject type resources with pagination information.
Expand All
Resources returned in this response.
Details of the subject type.
Time when this resource was created.
Number of experiments that reference this resource.
Number of exposure sources that reference this subject type.
Whether this is the organization's default subject type.
Number of metric SQL models that reference this subject type.
Metadata retained for resources imported from another system.
Display name of the subject type.
product_analytics_attribute
Product Analytics attribute used to identify subjects of this type.
Number of protocols that reference this subject type.
Time when this resource was last updated.
Warehouse columns that identify subjects of this type.
Subject types resource type.
Allowed enum values: subject-types
default: subject-types
Links for navigating a paginated result set.
URL of the first page of results.
URL of the last page of results.
URL of the next page of results.
URL of the previous page of results.
URL of the current page of results.
Pagination information for a list response.
Result counts and offsets for a page of results.
Offset of the first page of results.
Offset of the last page of results.
Maximum number of results returned in one page.
Offset of the next page of results.
Number of results skipped before this page.
Offset of the previous page of results.
Total number of matching results across all pages.
Pagination method used for this result set.
{
"data" : [
{
"attributes" : {
"created_at" : "2024-01-01T12:00:00Z" ,
"is_default" : true ,
"name" : "User" ,
"product_analytics_attribute" : "@usr.id" ,
"updated_at" : "2024-01-01T12:00:00Z" ,
"warehouse_column_names" : [
"user_id" ,
"customer_id"
]
},
"id" : "550e8400-e29b-41d4-a716-446655440010" ,
"type" : "subject-types"
}
]
} Invalid query parameter: bad page[offset]/page[limit], or unknown sort field.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Missing or invalid authentication (dd-api-key + dd-application-key headers, or a valid user session).
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Authenticated caller lacks the product_analytics_settings_read permission.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/experiments/subject-types " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "